Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Order Custom Attributes

  • List order custom attribute definitions

  • Create order custom attribute definition

  • Delete order custom attribute definition

  • Retrieve order custom attribute definition

  • Update order custom attribute definition

  • Bulk delete order custom attributes

  • Bulk upsert order custom attributes

  • List order custom attributes

  • Delete order custom attribute

  • Retrieve order custom attribute

  • Upsert order custom attribute

  • Webhooks

  • order.custom_attribute_definition.owned.created

  • order.custom_attribute_definition.owned.deleted

  • order.custom_attribute_definition.owned.updated

  • order.custom_attribute_definition.visible.created

  • order.custom_attribute_definition.visible.deleted

  • order.custom_attribute_definition.visible.updated

  • order.custom_attribute.owned.deleted

  • order.custom_attribute.owned.updated

  • order.custom_attribute.visible.deleted

  • order.custom_attribute.visible.updated

<- Order Custom Attributes API

Order Custom Attributes API

All versions ->

Bulk delete order custom attributesBeta

POST

 /v2/orders/custom-attributes/bulk-delete

Deletes order custom attributes as a bulk operation.

Use this endpoint to delete one or more custom attributes from one or more orders. A custom attribute is based on a custom attribute definition in a Square seller account. (To create a custom attribute definition, use the CreateOrderCustomAttributeDefinition endpoint.)

This BulkDeleteOrderCustomAttributes endpoint accepts a map of 1 to 25 individual delete requests and returns a map of individual delete responses. Each delete request has a unique ID and provides an order ID and custom attribute. Each delete response is returned with the ID of the corresponding request.

To delete a custom attribute owned by another application, the visibility setting must be VISIBILITY_READ_WRITE_VALUES. Note that seller-defined custom attributes (also known as custom fields) are always set to VISIBILITY_READ_WRITE_VALUES.

Permissions:ORDERS_WRITE

Guide

Bulk delete order custom attributes

Try in API Explorer
Link to section

Request body

Example code

Link to section

values

Required

A map of requests that correspond to individual delete operations for custom attributes.

Link to section

Response fields

Link to section

errors

Any errors that occurred during the request.

Link to section

values

Required

A map of responses that correspond to individual delete requests. Each response has the same ID as the corresponding request and contains either a custom_attribute or an errors field.

Link to section

Examples

All versions ->

POST /v2/orders/custom-attributes/bulk-delete
curl https://connect.squareup.com/v2/orders/custom-attributes/bulk-delete \ -X POST \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "values": { "table-number": { "key": "table-number", "order_id": "7BbXGEIWNldxAzrtGf9GPVZTwZ4F" }, "cover-count": { "key": "cover-count", "order_id": "7BbXGEIWNldxAzrtGf9GPVZTwZ4F" } } }'

Response JSON

{ "values": { "table-number": {}, "cover-count": {} } }